Subject: Ticket Assigned - Hi. I had ordered something online on May 30th and despite of raising multiple requests to follow up...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jul 2020 07:41:43 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hi. I had ordered something online on May 30th and despite of raising multiple requests to follow up... Hi. I had ordered something online on May 30th and despite of raising multiple requests to follow up I still am waiting for delivery. This pathetic level of service can is one of its kind as no one responds or even had the slightest courtesy to let us know of the situation. I have raised a formal complaint with ministry of commerce and will raise it to CEO of landmark. This is the worst most brand I have ever encountered. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1274122